# Ocean Reflectance Model (ORM, clever, aren't we?)
## About
ORM generates hyperspectral (1nm) or sensor-specific Rrs (or Lwn) spectra using the
ocean reflectance model described in:

     P. Jeremy Werdell, Sean W. Bailey, Bryan A. Franz, André Morel, and
     Charles R. McClain, "On-orbit vicarious calibration of ocean color sensors
     using an ocean surface reflectance model" Appl. Opt. 46, 5649-5666 (2007),
     https://doi.org/10.1364/AO.46.005649

## License
Well, we'll probably go with the NASA Opensource Agreement (NOSA) v1.3 or later...

## What's in the box
* orm - the driver
* get_brdf - functions to derive the Morel BRDF correction needed for the model
* get_f0 - functions to retrieve the extraterrestrial irradiance needed for the model
* morel_read - functions to read the various look-up tables 

### A few extra things, not really needed...
* kbio-netCDF - a script to generate a netCDF version of the Morel & Maritorena (2001) kbio tables
* morel_fq_appb-netCDF - a script to generate a netCDF version of the Morel f/Q tables
* mud_f_fp-netCDF - a script to generate a netCDF version of the Morel f, f-prime and mud tables
